### Virtual Method

# EDataServer OAuth2Service prepare_refresh_token_message

since: 3.28

#### Declaration [src]

    void
    prepare_refresh_token_message (
      EOAuth2Service* service,
      ESource* source,
      SoupMessage* message
    )

#### Description [src]

The `service` can change the `message` before it’s sent to the e_oauth2_service_get_refresh_uri(), with POST data being provided by e_oauth2_service_prepare_refresh_token_form(). The default implementation does nothing with the `message`.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.